#!/usr/bin/env python
# -*- mode:Python; tab-width: 3 -*-

from distutils.core import setup
import os
import mailbox_date_trimmer

scripts = ["mailbox_date_trimmer.py"]
doc_files = ["README", "README.html", "INSTALL", "LICENSE", "MANIFEST"]

if __name__ == "__main__":
   if os.path.isdir("CVS"):
      os.system("cvs2cl.pl -t")
      os.system("html.py README > README.html")
      os.system("touch MANIFEST.in")
   setup(name = "mailbox_date_trimmer",
      version = mailbox_date_trimmer.HUMAN_VERSION,
      description = "Mailbox archive emails' date trimmer",
      author = mailbox_date_trimmer.__author__,
      author_email = mailbox_date_trimmer.__email__,
      url = "http://gradha.sdf-eu.org/",
      scripts = scripts,
      license = "GPL",
      data_files = [ ("doc/mailbox_date_trimmer", doc_files),
      ]
   )
